Package org.openoffice.da.comp.writer2latex

# Class CustomSymbolNameProvider

java.lang.Object
org.openoffice.da.comp.writer2latex.CustomSymbolNameProvider

public class CustomSymbolNameProvider extends Object
This class provides access to the names of all user defined symbols in math

## Constructor Summary

Constructors
Constructor
Description
`CustomSymbolNameProvider(com.sun.star.uno.XComponentContext xContext)`
Construct a new `CustomSymbolNameProvider`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getNames()`
Return the names of all user defined symbols (excluding the predefined symbols such as ALPHA etc)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomSymbolNameProvider

public CustomSymbolNameProvider(com.sun.star.uno.XComponentContext xContext)
Construct a new `CustomSymbolNameProvider`

Parameters:
  `xContext` - the component context providing access to the api

## Method Details

### getNames

public Set<String> getNames()
Return the names of all user defined symbols (excluding the predefined symbols such as ALPHA etc)

Returns:
  a read only string set of symbols names